Animate(1.8)

NAME
Animate - the AfterStep iconify animation module

SYNOPSIS
Animate [-f config_file] [-v | --version] [-h | --help]

Although Animate can be run from the command line, it is normally spawned by afterstep in the autoexec file, in the following manner:

	Module	"I"	Animate

or from within an afterstep menu file by 'Animate':

% cat "~/GNUstep/Library/AfterStep/start/Modules/Animate"
	Module "Animate" Animate
	MiniPixmap "mini-as.xpm"
To stop the Animate module, a menu item can be used:

% cat "~/GNUstep/Library/AfterStep/start/Modules/Animate_Stop"
	KillModuleByName "Stop Animate" Animate
	MiniPixmap "mini-as.xpm"

DESCRIPTION
The Animate module performs animation on window iconification and deiconification in several styles and colors.

OPTIONS

-f config_file
    Use config_file instead of the default configuration file.

-h | --help
    Print a usage message and exit successfully.

-v | --version
    Print version information and exit successfully.

INITIALIZATION
During initialization, Animate will search for a configuration file which describes the colors, style and actions to take. This file will be the one specified by the -f option (if given). Else, the ~/GNUstep/Library/AfterStep/animate file will be used if it exists. Else, /usr/local/share/afterstep/animate will be used.

INVOCATION
Animate can be invoked from the autoexec file or from a menu item as shown in the Synopsis section above. AfterStep will search through the directories specified in the ModulePath configuration in the base.#bpp (where # is your colordepth) to attempt to locate Animate.

CONFIGURATION FILE
Animate reads the animate file when it starts up and looks for it's configuration options:

*AnimateColor color
    Tells Animate what color (see rgb.txt) to draw the window outline with as it animates.

*AnimateDelay msecs
    Tells Animate how many milliseconds to sleep between frames of animation.

*AnimateIterations iterations
    Tells Animate how many steps to break the animation into.

*AnimateTwist twist
    Tells Animate how many revolutions to twist the iconification frame.

*AnimateWidth width
    Tells Animate how wide a line to draw with. Note that with 0 produces a fast line at Width 1.

*AnimateResize mode
    Tells Animate what method to use to draw resizes. zoom, zoom3D, twist, flip, turn & random are currently supported.

FILES

/usr/local/share/afterstep/animate
    The global configuration file for system wide defaults of all users.

$HOME/GNUstep/Library/AfterStep/animate
    This file should be copied from the /usr/local/share/afterstep/animate and edited to suit a user's specific requirements. This file, if it exists, will override the system wide default file.

EXAMPLES
The example is the animate file shipped, refer to the FILES section above for its configuration options.

AUTHORS
Alfredo Kengi Kojima <kojima@inf.ufrgs.br>
Kaj Groner <kajg@mindspring.com>
Frank Scheelen <scheelen@worldonline.nl>
David Mihm <dmihm@swbell.net> [Man page]

SEE ALSO
afterstep(1), Wharf(1)